<?php


namespace App\ViewModels\Procedimento\ProcedimentoUpdateViewModel;


use App\Utils\Entity;

class ProcedimentoUpdateViewModel extends Entity
{

    protected $descricao;
    protected $id_tipo_procedimento;
    protected $exames;
    protected $alterado_por;

    public static function builder() : ProcedimentoUpdateViewModelBuilder
    {
        return new ProcedimentoUpdateViewModelBuilder;
    }
    public function getDescricao(): ?string
    {
        return $this->descricao;
    }

    public function getIdTipoProcedimento(): ?int
    {
        return $this->id_tipo_procedimento;
    }

    public function getAlteradoPor(): int
    {
        return $this->alterado_por;
    }

    public function setDescricao(?string $descricao): void
    {
        $this->descricao = $descricao;
    }

    public function setIdTipoProcedimento(?int $id_tipo_procedimento): void
    {
        $this->id_tipo_procedimento = $id_tipo_procedimento;
    }

    public function setAlteradoPor(int $alterado_por): void
    {
        $this->alterado_por = $alterado_por;
    }

    public function getExames()
    {
        return $this->exames;
    }

    public function setExames($exames): void
    {
        $this->exames = $exames;
    }

}